langcode: en
status: true
dependencies: {  }
id: h4c_group_content_organisation
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - CSV
migration_group: h4c_organisation_import
label: 'H4C CSV Group Content Migration'
process:
  label: title
  gid:
    plugin: migration_lookup
    # Get group id from h4c_group migration
    migration: h4c_group
    no_stub: true
    source: id
  entity_id:
    plugin: migration_lookup
    # Get node id from h4c_organisation
    migration: h4c_organisation
    no_stub: true
    source: id
  type:
    plugin: default_value
    # ID of Content plugin organisation for group type h4c_organisation_group
    default_value: group_content_type_47270b0052668
destination:
  plugin: 'entity:group_content'
migration_dependencies:
  optional:
    - h4c_group
    - h4c_organisation
